Package org.lwjgl.opengl

# Class EXTTextureArray

java.lang.Object
org.lwjgl.opengl.EXTTextureArray

public final class EXTTextureArray extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COMPARE_REF_DEPTH_TO_TEXTURE_EXT`
Accepted by the <param> parameter of TexParameterf, TexParameteri, TexParameterfv, and TexParameteriv when the <pname> parameter is TEXTURE_COMPARE_MODE_ARB:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:
`static final int`
`GL_MAX_ARRAY_TEXTURE_LAYERS_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:
`static final int`
`GL_PROXY_TEXTURE_1D_ARRAY_EXT`
Accepted by the <target> parameter of TexImage2D, TexSubImage2D, CopyTexImage2D, CopyTexSubImage2D, CompressedTexImage2D, and CompressedTexSubImage2D:
`static final int`
`GL_PROXY_TEXTURE_2D_ARRAY_EXT`
Accepted by the <target> parameter of TexImage3D, TexSubImage3D, CopyTexSubImage3D, CompressedTexImage3D, and CompressedTexSubImage3D:
`static final int`
`GL_SAMPLER_1D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_1D_ARRAY_SHADOW_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_2D_ARRAY_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_2D_ARRAY_SHADOW_EXT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_TEXTURE_1D_ARRAY_EXT`
Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, and BindTexture:
`static final int`
`GL_TEXTURE_2D_ARRAY_EXT`
Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, and BindTexture:
`static final int`
`GL_TEXTURE_BINDING_1D_ARRAY_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:
`static final int`
`GL_TEXTURE_BINDING_2D_ARRAY_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glFramebufferTextureLayerEXT(int target, int attachment, int texture, int level, int layer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_1D_ARRAY_EXT

public static final int GL_TEXTURE_1D_ARRAY_EXT
Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, and BindTexture:

See Also:
  - Constant Field Values

### GL_TEXTURE_2D_ARRAY_EXT

public static final int GL_TEXTURE_2D_ARRAY_EXT
Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, and BindTexture:

See Also:
  - Constant Field Values

### GL_PROXY_TEXTURE_2D_ARRAY_EXT

public static final int GL_PROXY_TEXTURE_2D_ARRAY_EXT
Accepted by the <target> parameter of TexImage3D, TexSubImage3D, CopyTexSubImage3D, CompressedTexImage3D, and CompressedTexSubImage3D:

See Also:
  - Constant Field Values

### GL_PROXY_TEXTURE_1D_ARRAY_EXT

public static final int GL_PROXY_TEXTURE_1D_ARRAY_EXT
Accepted by the <target> parameter of TexImage2D, TexSubImage2D, CopyTexImage2D, CopyTexSubImage2D, CompressedTexImage2D, and CompressedTexSubImage2D:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_1D_ARRAY_EXT

public static final int GL_TEXTURE_BINDING_1D_ARRAY_EXT
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_2D_ARRAY_EXT

public static final int GL_TEXTURE_BINDING_2D_ARRAY_EXT
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_ARRAY_TEXTURE_LAYERS_EXT

public static final int GL_MAX_ARRAY_TEXTURE_LAYERS_EXT
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:

See Also:
  - Constant Field Values

### GL_COMPARE_REF_DEPTH_TO_TEXTURE_EXT

public static final int GL_COMPARE_REF_DEPTH_TO_TEXTURE_EXT
Accepted by the <param> parameter of TexParameterf, TexParameteri, TexParameterfv, and TexParameteriv when the <pname> parameter is TEXTURE_COMPARE_MODE_ARB:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:

See Also:
  - Constant Field Values

### GL_SAMPLER_1D_ARRAY_EXT

public static final int GL_SAMPLER_1D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_2D_ARRAY_EXT

public static final int GL_SAMPLER_2D_ARRAY_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_1D_ARRAY_SHADOW_EXT

public static final int GL_SAMPLER_1D_ARRAY_SHADOW_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_SAMPLER_2D_ARRAY_SHADOW_EXT

public static final int GL_SAMPLER_2D_ARRAY_SHADOW_EXT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

## Method Details

### glFramebufferTextureLayerEXT

public static void glFramebufferTextureLayerEXT(int target, int attachment, int texture, int level, int layer)